> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a text to image job

> Create and queue one image job that uses a text prompt.



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ post /api/v2/tensorshots/projects/{project_pk}/jobs/text-to-image/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
tags:
  - name: tensorshots-projects
    description: Create, read, update, and delete TensorShots projects.
    x-displayName: Projects
    x-group: TensorShots Projects
  - name: tensorshots-shots
    description: Manage TensorShots project shots and shot voiceovers.
    x-displayName: Shots
    x-group: TensorShots Shots
  - name: tensorshots-assets
    description: Manage TensorShots audio, image, video, and shared assets.
    x-displayName: Assets
    x-group: TensorShots Assets
  - name: tensorshots-jobs
    description: Start, list, read, and delete TensorShots generation and render jobs.
    x-displayName: Jobs
    x-group: TensorShots Jobs
  - name: tensorshots-settings
    description: Manage TensorShots styles, music, voices, and prompt templates.
    x-displayName: Settings
    x-group: TensorShots Settings
  - name: real-estate-projects
    description: Create, read, update, and delete real estate projects.
    x-displayName: Projects
    x-group: Real Estate Projects
  - name: real-estate-shots
    description: Create, read, update, and delete real estate project shots.
    x-displayName: Shots
    x-group: Real Estate Shots
  - name: real-estate-assets
    description: Manage image, video, logo, and music assets for real estate projects.
    x-displayName: Assets
    x-group: Real Estate Assets
  - name: real-estate-voiceover
    description: Manage voiceover text, audio, and text limits for real estate projects.
    x-displayName: Voiceover
    x-group: Real Estate Voiceover
  - name: real-estate-jobs
    description: Start, list, read, and cancel jobs for real estate projects and shots.
    x-displayName: Jobs
    x-group: Real Estate Jobs
  - name: real-estate-branding
    description: Manage reusable agents and brand kits for real estate projects.
    x-displayName: Branding
    x-group: Real Estate Branding
  - name: real-estate-templates
    description: List video templates for real estate projects.
    x-displayName: Templates
    x-group: Real Estate Templates
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/v2/tensorshots/projects/{project_pk}/jobs/text-to-image/:
    post:
      tags:
        - tensorshots-jobs
      summary: Create a text to image job
      description: Create and queue one image job that uses a text prompt.
      operationId: v2_tensorshots_projects_jobs_text_to_image_create
      parameters:
        - in: path
          name: project_pk
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTextToImageJob'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/CreateTextToImageJob'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CreateTextToImageJob'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateTextToImageJob'
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail: {}
                  error_id:
                    type: string
                    format: uuid
                additionalProperties: true
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
      security:
        - tokenAuth: []
        - jwtAuth: []
components:
  schemas:
    CreateTextToImageJob:
      type: object
      description: Serializer for creating image-to-image jobs.
      properties:
        prompt:
          type: string
          description: Prompt text to generate from.
          maxLength: 80000
        model_name:
          $ref: '#/components/schemas/CreateTextToImageJobModelNameEnum'
        model_config:
          description: >-
            Model-specific configuration parameters (temperature, style,
            quality, etc.).
        style_settings:
          type: array
          items:
            type: string
            format: uuid
          description: >-
            Style presets applied to this job (camera, lighting, generation,
            etc.)
        num_requested_images:
          type: integer
          maximum: 10
          minimum: 1
          description: Number of images to generate (1-10).
      required:
        - model_name
        - prompt
    UnauthenticatedError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
        error_id:
          type: string
          format: uuid
      required:
        - detail
        - error_id
    ForbiddenError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
        error_id:
          type: string
          format: uuid
      required:
        - detail
        - error_id
    NotFoundError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
        error_id:
          type: string
          format: uuid
      required:
        - detail
        - error_id
    RateLimitError:
      type: object
      description: Serializer stub used for simple documented error payloads.
      properties:
        detail:
          type: string
        error_id:
          type: string
          format: uuid
      required:
        - detail
        - error_id
    CreateTextToImageJobModelNameEnum:
      enum:
        - zephyr_t2i
        - gemini_3_1_flash_t2i
        - gpt_image_2_t2i
        - grok_imagine_image_t2i
        - grok_imagine_image_quality_t2i
        - nebula_t2i
        - nebula_nsfw_t2i
        - refina_t2i
        - seedream_5_0_pro_t2i
      type: string
      description: |-
        * `zephyr_t2i` - zephyr_t2i
        * `gemini_3_1_flash_t2i` - gemini_3_1_flash_t2i
        * `gpt_image_2_t2i` - gpt_image_2_t2i
        * `grok_imagine_image_t2i` - grok_imagine_image_t2i
        * `grok_imagine_image_quality_t2i` - grok_imagine_image_quality_t2i
        * `nebula_t2i` - nebula_t2i
        * `nebula_nsfw_t2i` - nebula_nsfw_t2i
        * `refina_t2i` - refina_t2i
        * `seedream_5_0_pro_t2i` - seedream_5_0_pro_t2i
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````